#villager trades
function nlib:villager_trades

#musket
function nlib:items_script/musket_script

#flint_lock_pistol
function nlib:items_script/flintlock_pistol_script

#rifled_musket
function nlib:items_script/rifled_musket_script

#miquelet_rifle
function nlib:items_script/miquelet_rifle_script

#arquebus
function nlib:items_script/arquebus_script

#musketoon
function nlib:items_script/musketoon_script

#musket no bayonet
function nlib:items_script/musket_no_bayonet_script

#dragon pistol
function nlib:items_script/dragon_pistol_script

#blunderbuss
function nlib:items_script/blunderbuss

#lance and pike
function nlib:items_script/lance_n_pike_script

effect give @a[scores={musiclength=1..}] slowness 1 10 true
effect give @a[scores={musiclength=1..}] jump_boost 1 128 true

scoreboard players set @a[scores={playMusic=1..,musiclength=1..}] music 0
stopsound @a[scores={playMusic=1..,musiclength=1..}] block
scoreboard players set @a[scores={playMusic=1..,musiclength=1..}] nlib_sneak 0
scoreboard players set @a[scores={playMusic=1..,musiclength=1..}] musiclength 0

#bugle
function nlib:items_script/bugle_script

#flute
function nlib:items_script/flute_script

#drum
function nlib:items_script/drum_script

#kovenson
function nlib:kovenson

#artilleries
function nlib:artilleries_script/artilleries

execute as @a store result score @s bulletCount run clear @s iron_nugget 0
execute store result score count rocketcount if entity @e[type=arrow,tag=rocket]
scoreboard players set @a[scores={triggerGunPoint=500..}] reloadGun 0
scoreboard players set @a[nbt=!{SelectedItem:{id:"minecraft:carrot_on_a_stick"}}] reloadGun 0

scoreboard players set @a[scores={music=6},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:20099}}}] music 0
scoreboard players set @a[scores={music=11..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:200910}}}] music 0
scoreboard players set @a[scores={music=8..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:200911}}}] music 0
scoreboard players add @a[scores={musiclength=1..}] musiclengthtick 1
scoreboard players remove @a[scores={musiclengthtick=20..}] musiclength 1
scoreboard players set @a[scores={musiclengthtick=20..}] musiclengthtick 0
scoreboard players set @a[scores={musiclength=1..}] music 0

effect give @a[nbt={SelectedItem:{tag:{Tags:[m234]}}}] slowness 1 2 true
effect give @a[nbt={SelectedItem:{tag:{Tags:[p234]}}}] slowness 1 1 true

scoreboard players add @a[scores={reloadGun=1..,bulletCount=1..}] triggerGunPoint 1

execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set min RNG_77 1
execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set max RNG_77 3
execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run function nlib:rand
execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run execute if score number RNG_77 matches 1 run playsound custom:aagh master @s
execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run execute if score number RNG_77 matches 2 run playsound custom:huagh master @s
execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run execute if score number RNG_77 matches 3 run playsound custom:uroar master @s

execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set number RNG_77 0
execute as @a[scores={deadsound=2}] run execute as @a[scores={nlib_deaths=1..}] at @s run scoreboard players set @s nlib_deaths 0

tellraw @a[scores={artydmg=1}] {"text":"enabled ArtilleryDestruction","bold":true,"color":"green"}
scoreboard players set @a[scores={artydmg=1}] artydmg 2
tellraw @a[scores={artydmg=3}] {"text":"disabled ArtilleyDestruction","bold":true,"color":"red"}
scoreboard players set @a[scores={artydmg=3..}] artydmg 0

tellraw @a[scores={instrumentmusic=1}] {"text":"disabled InstrumentsMusic","bold":true,"color":"red"}
execute as @a[scores={instrumentmusic=1}] run scoreboard objectives remove nlib_sneak
scoreboard players set @a[scores={instrumentmusic=1}] instrumentmusic 2
tellraw @a[scores={instrumentmusic=3}] {"text":"enabled InstrumentsMusic","bold":true,"color":"green"}
execute as @a[scores={instrumentmusic=3}] run scoreboard objectives add nlib_sneak minecraft.custom:minecraft.sneak_time
scoreboard players set @a[scores={instrumentmusic=3..}] instrumentmusic 0

tellraw @a[scores={deadsound=1}] {"text":"enabled DeathSound","bold":true,"color":"green"}
scoreboard players set @a[scores={deadsound=1}] deadsound 2
tellraw @a[scores={deadsound=3}] {"text":"disable DeathSound","bold":true,"color":"red"}
scoreboard players set @a[scores={deadsound=3..}] deadsound 0

### fafik77 tick
scoreboard players add #clock_time RNG_77 1
execute if score #clock_time RNG_77 matches 992.. run scoreboard players set #clock_time RNG_77 1